package com.atm.bondowowo.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.atm.bondowowo.R
import com.atm.bondowowo.data.local.entity.TransactionEntity
import java.time.format.DateTimeFormatter

class TransactionAdapter(var list: List<TransactionEntity>) : RecyclerView.Adapter<TransactionAdapter.ViewHolder>() {

    private lateinit var dialog: Dialog

    fun setDialog(dialog: Dialog){
        this.dialog = dialog
    }
    interface Dialog{
        fun onClick(position: Int)
    }

    inner class ViewHolder(view: View) : RecyclerView.ViewHolder(view){
        var nama_transaksi: TextView
        var nominal_transaksi: TextView
        var kategori_transaksi: TextView
        var tgl_transaksi: TextView
        var lokasi_transaksi: TextView
        init{
            nama_transaksi = view.findViewById(R.id.transaction_name)
            nominal_transaksi = view.findViewById(R.id.transaction_nominal)
            kategori_transaksi = view.findViewById(R.id.transaction_cat)
            tgl_transaksi = view.findViewById(R.id.transaction_date)
            lokasi_transaksi = view.findViewById(R.id.transaction_loc)

            view.setOnClickListener{
                dialog.onClick(layoutPosition)
            }

        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.row_transaction, parent, false)
        return ViewHolder(view)
    }

    override fun getItemCount(): Int {
        return list.size
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.nama_transaksi.text = list[position].nama
        holder.nominal_transaksi.text = list[position].nominal.toString()
        holder.kategori_transaksi.text = list[position].kategori
        holder.lokasi_transaksi.text = list[position].lokasi
        holder.tgl_transaksi.text = list[position].date?.format(DateTimeFormatter.ofPattern("dd/MM/yy"))

    }

}