package com.atm.bondowowo.data.local.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.atm.bondowowo.data.local.entity.TransactionEntity

@Dao
interface TransactionDao {
    @Query("SELECT * FROM TransactionEntity")
    fun getAll(): List<TransactionEntity>

    @Insert
    fun insertAll(vararg transactionEntities: TransactionEntity)

    @Delete
    fun delete(transactionEntity: TransactionEntity)

    @Query("SELECT * FROM TransactionEntity WHERE id = :id")
    fun get(id: Int): TransactionEntity

    @Update
    fun update(transactionEntity: TransactionEntity)
}