package com.atm.bondowowo.data.local.database

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import androidx.room.TypeConverters
import com.atm.bondowowo.data.local.dao.TransactionDao
import com.atm.bondowowo.data.local.entity.TransactionEntity
import com.atm.bondowowo.utils.Converters

@Database(entities = [TransactionEntity::class], version = 2)
@TypeConverters(Converters::class)
abstract class AppDatabase: RoomDatabase() {
    abstract fun transactionDao(): TransactionDao

    companion object{
        private var instance: AppDatabase? = null

        fun getInstance(context: Context): AppDatabase {
            if(instance == null){
                instance = Room.databaseBuilder(context, AppDatabase::class.java, name = "app-database")
                    .fallbackToDestructiveMigration()
                    .allowMainThreadQueries()
                    .build()
            }
            return instance!!
        }
    }


}