package com.atm.bondowowo.data.local.entity

import android.os.Parcel
import android.os.Parcelable
import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.time.LocalDateTime

@Entity
data class TransactionEntity(
    @PrimaryKey(autoGenerate = true) var id: Int? = null,
    @ColumnInfo(name = "date") var date: LocalDateTime?,
    @ColumnInfo(name = "nama") var nama: String?,
    @ColumnInfo(name = "kategori") var kategori: String?,
    @ColumnInfo(name = "nominal") var nominal: Double?,
    @ColumnInfo(name = "lokasi") var lokasi: String?
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readValue(Int::class.java.classLoader) as? Int,
        parcel.readSerializable() as? LocalDateTime,
        parcel.readString(),
        parcel.readString(),
        parcel.readValue(Double::class.java.classLoader) as? Double,
        parcel.readString()
    )

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeValue(id)
        parcel.writeSerializable(date)
        parcel.writeString(nama)
        parcel.writeString(kategori)
        parcel.writeValue(nominal)
        parcel.writeString(lokasi)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<TransactionEntity> {
        override fun createFromParcel(parcel: Parcel): TransactionEntity {
            return TransactionEntity(parcel)
        }

        override fun newArray(size: Int): Array<TransactionEntity?> {
            return arrayOfNulls(size)
        }
    }
}
