package com.atm.bondowowo.data.remote

import com.atm.bondowowo.data.model.LoginRequest
import com.atm.bondowowo.data.model.LoginResponse
import com.atm.bondowowo.data.model.ScanRequest
import com.atm.bondowowo.data.model.ScanResponse
import com.atm.bondowowo.data.model.VerifyResponse
import okhttp3.MultipartBody
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.Multipart
import retrofit2.http.POST
import retrofit2.http.Part

interface ApiService {
    @POST("api/auth/login")
    suspend fun login(@Body loginRequest: LoginRequest): Response<LoginResponse>

    @POST("api/auth/token")
    suspend fun verifyToken(@Header("Authorization") jwtToken: String): Response<Any>

    @Multipart
    @POST("api/bill/upload")
    suspend fun uploadScan(
        @Header("Authorization") jwtToken: String,
        @Part file: MultipartBody.Part
    ): Response<ScanResponse>
}
