package com.atm.bondowowo.ui.graph

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.lifecycle.ViewModelProvider
import com.atm.bondowowo.R
import com.atm.bondowowo.data.local.database.AppDatabase
import com.atm.bondowowo.data.repository.TransactionRepository

class GraphFragment : Fragment() {
    private lateinit var graphViewModel: GraphViewModel

    private lateinit var pieChart: ChartView

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_graph, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val database = AppDatabase.getInstance(requireContext())
        val transactionRepository = TransactionRepository(database)
        val graphViewModelFactory = GraphViewModelFactory(transactionRepository)
        graphViewModel = ViewModelProvider(this, graphViewModelFactory)[GraphViewModel::class.java]

        pieChart = ChartView(requireContext())
        pieChart.pieChart = view.findViewById(R.id.pieChart)
        pieChart.setChartData(graphViewModel.transactionData)
    }
}
