package com.atm.bondowowo.utils

import android.content.Context
import android.content.Intent
import android.net.Uri
import android.widget.Toast
import com.atm.bondowowo.data.local.database.AppDatabase
import com.atm.bondowowo.data.local.entity.TransactionEntity

object GoogleMapsUtil {

    fun openGoogleMaps(context: Context, transactionId: Int) {
        val database = AppDatabase.getInstance(context.applicationContext)
        val destinationName = getDestinationNameFromDatabase(database, transactionId)

        if (!destinationName.isNullOrEmpty()) {
            val uri = Uri.parse("geo:0,0?q=$destinationName")
            val mapIntent = Intent(Intent.ACTION_VIEW, uri)
            mapIntent.setPackage("com.google.android.apps.maps")

            if (mapIntent.resolveActivity(context.packageManager) != null) {
                context.startActivity(mapIntent)
            } else {
                 Toast.makeText(context, "Google Maps app not found", Toast.LENGTH_SHORT).show()
            }
        } else {
             Toast.makeText(context, "Destination not found", Toast.LENGTH_SHORT).show()
        }
    }

    private fun getDestinationNameFromDatabase(database: AppDatabase, transactionId: Int): String? {
        val transaction: TransactionEntity? = database.transactionDao().get(transactionId)
        return transaction?.lokasi
    }
}
