package com.atm.bondowowo.utils

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import androidx.fragment.app.FragmentActivity
import androidx.lifecycle.ViewModelProvider
import com.atm.bondowowo.MainActivity
import com.atm.bondowowo.R
import com.atm.bondowowo.ui.transaction.TransactionFragment
import com.atm.bondowowo.ui.transaction.TransactionInputFragment
import com.atm.bondowowo.ui.transaction.TransactionViewModel

class RandomInputBroadcastReceiver(private val context: Context, private val fragment: TransactionFragment) : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        if (intent.action == "com.atm.bondowowo.RANDOM_INPUT_TRANSACTION") {
            val inputValue = intent.getStringExtra("input_value")
            updateTransactionInputField(inputValue)
        }
    }

    private fun updateTransactionInputField(inputValue: String?) {

        if (inputValue != null) {
            fragment.setRandomNumber(inputValue)
        }
    }

}