package com.atm.bondowowo.utils

import android.content.Context
import androidx.appcompat.app.AppCompatActivity

object UserPreferencesUtil {
    private const val PREF_NAME = "AUTH_PREFS"
    private const val KEY_EMAIL = "EMAIL"
    private const val KEY_JWT = "JWT_TOKEN"
    fun addJWT(context: Context, token: String) {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        editor.putString(KEY_JWT, token)
        editor.apply()
    }

    fun removeJWT(context: Context) {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        editor.remove(KEY_JWT)
        editor.apply()
    }

    fun getJWT(context: Context): String? {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        return sharedPreferences.getString(KEY_JWT, "")
    }

    fun addEmail(context: Context, email: String) {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        editor.putString(KEY_EMAIL, email)
        editor.apply()
    }

    fun removeEmail(context: Context) {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        editor.remove(KEY_EMAIL)
        editor.apply()
    }

    fun getEmail(context: Context): String? {
        val sharedPreferences =
            context.getSharedPreferences(PREF_NAME, AppCompatActivity.MODE_PRIVATE)
        return sharedPreferences.getString(KEY_EMAIL, "")
    }
}
